<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_price_lists', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('tariff_id')->nullable()->index('tariff_id');
            $table->unsignedInteger('sale_channel_id')->nullable()->index('sale_channel_id');
            $table->unsignedTinyInteger('status_id')->nullable()->index('status_id');
            $table->string('name', 100)->nullable();
            $table->unsignedSmallInteger('created_by')->nullable();
            $table->unsignedSmallInteger('updated_by')->nullable();
            $table->unsignedSmallInteger('deleted_by')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_price_lists');
    }
};
